PPC64_CPU(8)

NAME
ppc64_cpu - cpu settings utility

SYNOPSIS
ppc64_cpu [OPTION]

DESCRIPTION
This utility allows users to view and set the cpu SMT, DSCR and smt-snooze-delay settings.

OPTIONS

--smt
    Get current SMT state.

--smt={on|off}
    Set SMT state.

--cores-present
    Get the number of cores present.

--cores-on
    Get the number of cores currently online.

--cores-on=X
    Put exactly X cores online.

--dscr [-p <pid>]
    Get current DSCR system setting or, optionally, for <pid>.

--dscr=<val> [-p <pid>]
    Change DSCR system setting or, optionally, for <pid>.

--smt-snooze-delay
    Get current smt-snooze-delay setting.

--smt-snooze-delay=<val>
    Change smt-snooze-delay setting.

--run-mode
    Get current diagnostics run mode.

--run-mode=<val>
    Set current diagnostics run mode.

--frequency [-t <time>]
    Determine cpu frequency for <time> seconds, default is 1 second.

--subcores-per-core
    Get number of subcores per core.

--subcores-per-core=X
    Set subcores per core to X (1 or 4).

--threads-per-core
    Get number of threads per core.

--info
    Display system state information.

AUTHOR
ppc64_cpu was written by Anton Blanchard.

This manual page was written by Aurélien GÉRÔME <ag@roxor.cx> and Adam Conrad <adconrad@0c3.net> for the Debian project (but may be used by others).